Index: DCWoRMS/branches/coolemall/example/experiment8/workload/Abinit.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8/workload/Abinit.xml	(revision 1145)
+++ DCWoRMS/branches/coolemall/example/experiment8/workload/Abinit.xml	(revision 1145)
@@ -0,0 +1,41 @@
+<job id="0">
+	<task id="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>2.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<duration>PT1H</duration>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>10</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>10</value>
+					</behaviour>
+				</resourceConsumption>
+				<resourceConsumption>
+					<duration>PT2H</duration>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>0</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>90</value>
+					</behaviour>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</job>
Index: DCWoRMS/branches/coolemall/example/experiment8/workload/Linpack.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8/workload/Linpack.xml	(revision 1145)
+++ DCWoRMS/branches/coolemall/example/experiment8/workload/Linpack.xml	(revision 1145)
@@ -0,0 +1,41 @@
+<job id="1">
+	<task id="1">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>2.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<duration>PT2H</duration>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>10</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>10</value>
+					</behaviour>
+				</resourceConsumption>
+				<resourceConsumption>
+					<duration>PT3H</duration>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>0</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>90</value>
+					</behaviour>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</job>
Index: DCWoRMS/branches/coolemall/example/experiment8/workload/workload.swf
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8/workload/workload.swf	(revision 1138)
+++ DCWoRMS/branches/coolemall/example/experiment8/workload/workload.swf	(revision 1145)
@@ -12,7 +12,6 @@
 ;StartTime: Mon Nov 03 00:00:00 CET 2008
 ;PUSpeed: 1
-;Application: 2 Abinit
-;Application: 1 Linpack
-
+;Application: 1 /Users/test/Documents/workspaceTest/DCWoRMS/example/experiment8/workload/Linpack.xml
+;Application: 2 /Users/test/Documents/workspaceTest/DCWoRMS/example/experiment8/workload/Abinit.xml
 
 
Index: DCWoRMS/branches/coolemall/example/experiment8/workload/QcgJob_00.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8/workload/QcgJob_00.xml	(revision 1138)
+++ 	(revision )
@@ -1,41 +1,0 @@
-<job id="0">
-	<task id="Abinit">
-		<requirements>
-			<resourceRequirements>
-				<computingResource>
-					<hostParameter name="cpucount">
-						<value>2.0</value>
-					</hostParameter>
-				</computingResource>
-			</resourceRequirements>
-		</requirements>
-		<execution>
-			<resourceConsumptionProfile>
-				<resourceConsumption>
-					<duration>PT1H</duration>
-					<behaviour name="memory">
-						<value>20</value>
-					</behaviour>
-					<behaviour name="net">
-						<value>10</value>
-					</behaviour>
-					<behaviour name="cpu">
-						<value>10</value>
-					</behaviour>
-				</resourceConsumption>
-				<resourceConsumption>
-					<duration>PT2H</duration>
-					<behaviour name="memory">
-						<value>20</value>
-					</behaviour>
-					<behaviour name="net">
-						<value>0</value>
-					</behaviour>
-					<behaviour name="cpu">
-						<value>90</value>
-					</behaviour>
-				</resourceConsumption>
-			</resourceConsumptionProfile>
-		</execution>
-	</task>
-</job>
Index: DCWoRMS/branches/coolemall/example/experiment8/workload/QcgJob_01.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8/workload/QcgJob_01.xml	(revision 1138)
+++ 	(revision )
@@ -1,41 +1,0 @@
-<job id="1">
-	<task id="Linpack">
-		<requirements>
-			<resourceRequirements>
-				<computingResource>
-					<hostParameter name="cpucount">
-						<value>2.0</value>
-					</hostParameter>
-				</computingResource>
-			</resourceRequirements>
-		</requirements>
-		<execution>
-			<resourceConsumptionProfile>
-				<resourceConsumption>
-					<duration>PT1H</duration>
-					<behaviour name="memory">
-						<value>20</value>
-					</behaviour>
-					<behaviour name="net">
-						<value>10</value>
-					</behaviour>
-					<behaviour name="cpu">
-						<value>10</value>
-					</behaviour>
-				</resourceConsumption>
-				<resourceConsumption>
-					<duration>PT2H</duration>
-					<behaviour name="memory">
-						<value>20</value>
-					</behaviour>
-					<behaviour name="net">
-						<value>0</value>
-					</behaviour>
-					<behaviour name="cpu">
-						<value>90</value>
-					</behaviour>
-				</resourceConsumption>
-			</resourceConsumptionProfile>
-		</execution>
-	</task>
-</job>
Index: DCWoRMS/branches/coolemall/example/experiment8/experiment8.properties
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8/experiment8.properties	(revision 883)
+++ DCWoRMS/branches/coolemall/example/experiment8/experiment8.properties	(revision 1145)
@@ -6,6 +6,5 @@
 # and swf file, which name is declared by readscenario.workloadfilename parameter.
 # Swf file must be placed in readscenario.inputfolder directory.  
-readscenario.inputfolder=example/experiment8/workload
-readscenario.workloadfilename=workload.swf
+readscenario.workloadfilename=example/experiment8/workload/workload.swf
 
 # Choose directory where all result files should be placed.