Index: DCWoRMS/branches/coolemall/src/test/article2/recs/experiment1.properties
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/experiment1.properties	(revision 826)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/experiment1.properties	(revision 1179)
@@ -2,9 +2,9 @@
 
 # Path to xml file which describes resource characteristics.
-resdesc=src/test/article2/recs/resourcesCoolEmAll.xml
+resdesc=src/test/article2/recs/resourcesCoolEmAll_Intel.xml
 
 # and swf file, which name is declared by readscenario.workloadfilename parameter.
 # Swf file must be placed in readscenario.inputfolder directory.  
-readscenario.workloadfilename=src/test/article2/recs/workload9.swf
+readscenario.workloadfilename=src/test/article2/recs/workload70.swf
 
 # Choose directory where all result files should be placed.
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/resourcesCoolEmAll_Intel.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/resourcesCoolEmAll_Intel.xml	(revision 826)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/resourcesCoolEmAll_Intel.xml	(revision 1179)
@@ -18,4 +18,5 @@
 					</energyEstimationPlugin>
 				</powerProfile>	
+				<thermalProfile></thermalProfile>
 			</profile>
 			<computingResource class="RECS" name="Recs1">
@@ -57,4 +58,5 @@
 							</airThroughputStates>
 						</airThroughputProfile>
+						<thermalProfile></thermalProfile>
 					</profile>
 					<computingResource class="Processor" count="1">
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/workload.swf
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/workload.swf	(revision 826)
+++ 	(revision )
@@ -1,30 +1,0 @@
-;Automatically generated workload description by the Grid Scheduling Simulator
-;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
-;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
-;		b|		b|		i|		n|		u|		u|		m|		o|		m|		m|		a|		d|		d|		e|		e|		r|		e|		i|
-;		 |		m|		t|		t|		 |		 |		 |		c|		e|		 |		t|		 |		 |		c|		u|		t|		c|		n|
-;		 |		i|		 |		i|		a|		t|		u|		 |		 |		r|		u|		 |		 |		u|		e|		i|		 |		k|
-;		 |		t|		 |		m|		l|		i|		s|		r|		r|		e|		s|		 |		 |		t|		 |		t|		j|		 |
-;		 |		 |		 |		e|		l|		m|		e|		e|		e|		q|		 |		 |		 |		a|		n|		i|		o|		t|
-;		 |		 |		 |		 |		o|		e|		d|		q|		q|		 |		 |		 |		 |		b|		r|		o|		b|		i|
-;		 |		 |		 |		 |		c|		 |		 |		 |		 |		 |		 |		 |		 |		l|		 |		n|		 |		m|
-;		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		e|		 |		 |		 |		e|
-;StartTime: Mon Nov 03 00:00:00 CET 2008
-;PUSpeed: 1
-
-
-		1			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		2			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		3			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		4			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		5			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		6			0			-1		10800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-; -----------
-		7			0			-1		14400	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		8			0			-1		28800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		9			3600		-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		10			21600		-1		21600	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		11			25200		-1		25200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		12			39600		-1		14400	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-  		13			46800		-1		10800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/workload18.swf
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/workload18.swf	(revision 826)
+++ 	(revision )
@@ -1,34 +1,0 @@
-;Automatically generated workload description by the Grid Scheduling Simulator
-;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
-;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
-;		b|		b|		i|		n|		u|		u|		m|		o|		m|		m|		a|		d|		d|		e|		e|		r|		e|		i|
-;		 |		m|		t|		t|		 |		 |		 |		c|		e|		 |		t|		 |		 |		c|		u|		t|		c|		n|
-;		 |		i|		 |		i|		a|		t|		u|		 |		 |		r|		u|		 |		 |		u|		e|		i|		 |		k|
-;		 |		t|		 |		m|		l|		i|		s|		r|		r|		e|		s|		 |		 |		t|		 |		t|		j|		 |
-;		 |		 |		 |		e|		l|		m|		e|		e|		e|		q|		 |		 |		 |		a|		n|		i|		o|		t|
-;		 |		 |		 |		 |		o|		e|		d|		q|		q|		 |		 |		 |		 |		b|		r|		o|		b|		i|
-;		 |		 |		 |		 |		c|		 |		 |		 |		 |		 |		 |		 |		 |		l|		 |		n|		 |		m|
-;		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		e|		 |		 |		 |		e|
-;StartTime: Mon Nov 03 00:00:00 CET 2008
-;PUSpeed: 1
-
-
-		1			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		2			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		3			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		4			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		5			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		6			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-; -----------
-		7			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		8			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		9			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		10			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		11			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		12			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-  		13			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		14			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		15			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		16			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-  		17			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-   		18			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1	 		
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/workload9.swf
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/workload9.swf	(revision 826)
+++ 	(revision )
@@ -1,25 +1,0 @@
-;Automatically generated workload description by the Grid Scheduling Simulator
-;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
-;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
-;		b|		b|		i|		n|		u|		u|		m|		o|		m|		m|		a|		d|		d|		e|		e|		r|		e|		i|
-;		 |		m|		t|		t|		 |		 |		 |		c|		e|		 |		t|		 |		 |		c|		u|		t|		c|		n|
-;		 |		i|		 |		i|		a|		t|		u|		 |		 |		r|		u|		 |		 |		u|		e|		i|		 |		k|
-;		 |		t|		 |		m|		l|		i|		s|		r|		r|		e|		s|		 |		 |		t|		 |		t|		j|		 |
-;		 |		 |		 |		e|		l|		m|		e|		e|		e|		q|		 |		 |		 |		a|		n|		i|		o|		t|
-;		 |		 |		 |		 |		o|		e|		d|		q|		q|		 |		 |		 |		 |		b|		r|		o|		b|		i|
-;		 |		 |		 |		 |		c|		 |		 |		 |		 |		 |		 |		 |		 |		l|		 |		n|		 |		m|
-;		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		e|		 |		 |		 |		e|
-;StartTime: Mon Nov 03 00:00:00 CET 2008
-;PUSpeed: 1
-
-
-		1			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		2			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		3			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		4			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		5			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		6			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-; -----------
-		7			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		8			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		9			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1