Index: DCWoRMS/branches/coolemall/src/test/article2/recs/resourcesCoolEmAll.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/resourcesCoolEmAll.xml	(revision 826)
+++ 	(revision )
@@ -1,220 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../../../simulator/schemas/resources/DCWormsResSchema.xsd">
-	
-	<timeEstimationPlugin>
-		<name>test.article2.recs.plugins.timeestimation.RecsTimeEstimationPlugin</name>
-	</timeEstimationPlugin>
-	
-	<resources>
-		<computingResource class="DataCenter" name="COOLEMALL_TESTBED">
-			<resourceUnit class="storage">
-				<amount>4800000</amount>
-			</resourceUnit>
-			<profile>
-				<powerProfile>
-					<energyEstimationPlugin>
-						<name>test.article2.recs.plugins.energy.DataCenterEnergyEstimationPlugin</name>
-					</energyEstimationPlugin>
-				</powerProfile>	
-			</profile>
-			<computingResource class="RECS" name="Recs1">
-				<computingResource class="ComputingNode" type="Intel_i7" count="3" name="IntelI7">
-					<resourceUnit class="memory">
-						<amount>16384</amount>
-					</resourceUnit>
-					<parameter name="category">
-						<value>Intel_i7</value>
-					</parameter>
-					<profile>
-						<powerProfile>
-							<energyEstimationPlugin>
-								<name>test.article2.recs.plugins.energy.IntelNodeEEP</name>
-							</energyEstimationPlugin>	
-							<powerStates>
-								<powerState>
-									<name>ON</name>
-									<powerUsage>13.5</powerUsage>
-								</powerState>
-								<powerState>
-									<name>OFF</name>
-									<powerUsage>0</powerUsage>
-								</powerState>
-							</powerStates>				
-						</powerProfile>
-						<airThroughputProfile>
-							<airThroughputStates>
-								<airThroughputState>
-									<name>FAN_ON</name>
-									<value>0.673</value>
-									<powerUsage>7</powerUsage>
-								</airThroughputState>
-								<airThroughputState>
-									<name>FAN_OFF</name>
-									<value>0</value>
-									<powerUsage>0</powerUsage>
-								</airThroughputState>
-							</airThroughputStates>
-						</airThroughputProfile>
-					</profile>
-					<computingResource class="Processor" count="1">
-						<profile>
-							<powerProfile>
-								<energyEstimationPlugin>
-									<name>test.article2.recs.plugins.energy.IntelCpuEEP</name>
-								</energyEstimationPlugin>	
-								<parameter name="pState">
-									<property name="name">
-										<value>P0</value>
-									</property>	
-									<property name="frequency">
-										<value unit="Hz">2300</value>
-									</property>		
-									<property name="powerUsage">
-										<value unit="W">15</value>
-									</property>						
-								</parameter>
-							</powerProfile>
-						</profile>
-						<computingResource class="Core" count="8"/>
-					</computingResource>
-				</computingResource>
-			</computingResource>	
-			<computingResource class="RECS" name="Recs2">
-				<computingResource class="ComputingNode" type="AMD_Fusion" count="3" name="AMDFusion">
-					<resourceUnit class="memory">
-						<amount>4096</amount>
-					</resourceUnit>
-					<parameter name="category">
-						<value>AMD_Fusion</value>
-					</parameter>
-					<profile>
-						<powerProfile>
-							<energyEstimationPlugin>
-								<name>test.article2.recs.plugins.energy.AmdNodeEEP</name>
-							</energyEstimationPlugin>	
-							<powerStates>
-								<powerState>
-									<name>ON</name>
-									<powerUsage>10</powerUsage>
-								</powerState>
-								<powerState>
-									<name>OFF</name>
-									<powerUsage>0</powerUsage>
-								</powerState>
-							</powerStates>				
-						</powerProfile>
-						<airThroughputProfile>
-							<airThroughputStates>
-								<airThroughputState>
-									<name>FAN_ON</name>
-									<value>0.673</value>
-									<powerUsage>7</powerUsage>
-								</airThroughputState>
-								<airThroughputState>
-									<name>FAN_OFF</name>
-									<value>0</value>
-									<powerUsage>0</powerUsage>
-								</airThroughputState>
-							</airThroughputStates>
-						</airThroughputProfile>
-					</profile>
-					<computingResource class="Processor" count="1">
-						<profile>
-							<powerProfile>
-								<energyEstimationPlugin>
-									<name>test.article2.recs.plugins.energy.AmdCpuEEP</name>
-								</energyEstimationPlugin>	
-								<parameter name="pState">
-									<property name="name">
-										<value>P0</value>
-									</property>	
-									<property name="frequency">
-										<value unit="Hz">1000</value>
-									</property>		
-									<property name="powerUsage">
-										<value unit="W">2</value>
-									</property>						
-								</parameter>
-							</powerProfile>
-						</profile>
-						<computingResource class="Core" count="2"/>
-					</computingResource>
-				</computingResource>
-			</computingResource>
-			<computingResource class="RECS" name="Recs3">
-				<computingResource class="ComputingNode" type="Atom_D510" count="3" name="AtomD510">
-					<resourceUnit class="memory">
-						<amount>2048</amount>
-					</resourceUnit>
-					<parameter name="category">
-						<value>Atom_D510</value>
-					</parameter>
-					<profile>
-						<powerProfile>
-							<energyEstimationPlugin>
-								<name>test.article2.recs.plugins.energy.AtomD510NodeEEP</name>
-							</energyEstimationPlugin>	
-							<powerStates>
-								<powerState>
-									<name>ON</name>
-									<powerUsage>19</powerUsage>
-								</powerState>
-								<powerState>
-									<name>OFF</name>
-									<powerUsage>0</powerUsage>
-								</powerState>
-							</powerStates>				
-						</powerProfile>
-						<airThroughputProfile>
-							<airThroughputStates>
-								<airThroughputState>
-									<name>FAN_ON</name>
-									<value>0.673</value>
-									<powerUsage>7</powerUsage>
-								</airThroughputState>
-								<airThroughputState>
-									<name>FAN_OFF</name>
-									<value>0</value>
-									<powerUsage>0</powerUsage>
-								</airThroughputState>
-							</airThroughputStates>
-						</airThroughputProfile>
-					</profile>
-					<computingResource class="Processor" count="1">
-						<profile>
-							<powerProfile>
-								<energyEstimationPlugin>
-									<name>test.article2.recs.plugins.energy.AtomD510CpuEEP</name>
-								</energyEstimationPlugin>	
-								<parameter name="pState">
-									<property name="name">
-										<value>P0</value>
-									</property>	
-									<property name="frequency">
-										<value unit="Hz">1666</value>
-									</property>		
-									<property name="powerUsage">
-										<value unit="W">1.3</value>
-									</property>						
-								</parameter>
-							</powerProfile>
-						</profile>
-						<computingResource class="Core" count="4"/>
-					</computingResource>
-				</computingResource>
-			</computingResource>
-		</computingResource>
-		<scheduler class="Cluster" name="cluster">
-			<!-- Definition of scheduling plugin at cluster level -->
-			<schedulingPlugin>
-				<name>test.article2.recs.plugins.scheduling.exp2.RecsRandomSP</name>
-			</schedulingPlugin>	
-			<!-- Reference to managed resources - cluster manages resources belonging to the defined data center -->
-			<managedComputingResources include="false">
-				<resourceName>COOLEMALL_TESTBED</resourceName>
-			</managedComputingResources>
-		</scheduler>	
-	</resources>
-
-</environment>