Index: DCWoRMS/branches/coolemall/src/test/article2/recs/resourcesCoolEmAll.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/resourcesCoolEmAll.xml	(revision 1182)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/resourcesCoolEmAll.xml	(revision 1182)
@@ -0,0 +1,448 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../../../../simulator/schemas/resources/DCWormsResSchema.xsd">
+	
+	<timeEstimationPlugin>
+		<name>test.article.recs.plugins.timeestimation.RecsTimeEstimationPlugin</name>
+	</timeEstimationPlugin>
+	
+	<resources>
+		<computingResource class="DataCenter" name="COOLEMALL_TESTBED">
+			<resourceUnit class="storage">
+				<amount>4800000</amount>
+			</resourceUnit>
+			<profile>
+				<powerProfile>
+					<energyEstimationPlugin>
+						<name>example.energy.DataCenterEnergyEstimationPlugin</name>
+					</energyEstimationPlugin>
+				</powerProfile>	
+			</profile>
+				
+			<computingResource class="ComputingNode" type="Intel_i7" count="8" name="IntelI7">
+				<resourceUnit class="memory">
+					<amount>16384</amount>
+				</resourceUnit>
+				<parameter name="category">
+					<value>Intel_i7</value>
+				</parameter>
+				<profile>
+					<powerProfile>
+						<energyEstimationPlugin>
+							<name>test.article2.recs.plugins.energy.IntelNodeEEP</name>
+						</energyEstimationPlugin>	
+						<powerStates>
+							<powerState>
+								<name>ON</name>
+								<powerUsage>11.5</powerUsage>
+							</powerState>
+							<powerState>
+								<name>OFF</name>
+								<powerUsage>0</powerUsage>
+							</powerState>
+						</powerStates>				
+					</powerProfile>
+					<airThroughputProfile>
+						<airThroughputStates>
+							<airThroughputState>
+								<name>FAN_ON</name>
+								<value>1000</value>
+								<powerUsage>30</powerUsage>
+							</airThroughputState>
+							<airThroughputState>
+								<name>FAN_OFF</name>
+								<value>0</value>
+								<powerUsage>10</powerUsage>
+							</airThroughputState>
+						</airThroughputStates>
+					</airThroughputProfile>
+				</profile>
+				<computingResource class="Processor" count="1">
+					<profile>
+						<powerProfile>
+							<parameter name="pState">
+								<property name="name">
+									<value>P0</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">2100</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">15</value>
+								</property>						
+							</parameter>
+							<parameter name="pState">
+								<property name="name">
+									<value>P1</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">2000</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">14</value>
+								</property>						
+							</parameter>	
+							<parameter name="pState">
+								<property name="name">
+									<value>P2</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">1900</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">13</value>
+								</property>						
+							</parameter>
+							<parameter name="pState">
+								<property name="name">
+									<value>P3</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">1800</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">11.5</value>
+								</property>						
+							</parameter>	
+							<parameter name="pState">
+								<property name="name">
+									<value>P4</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">1700</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">11</value>
+								</property>						
+							</parameter>
+							<parameter name="pState">
+								<property name="name">
+									<value>P5</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">1600</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">10.5</value>
+								</property>						
+							</parameter>	
+							<parameter name="pState">
+								<property name="name">
+									<value>P6</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">1500</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">9.5</value>
+								</property>						
+							</parameter>
+							<parameter name="pState">
+								<property name="name">
+									<value>P7</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">1400</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">8.5</value>
+								</property>						
+							</parameter>
+							<parameter name="pState">
+								<property name="name">
+									<value>P8</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">1300</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">8</value>
+								</property>						
+							</parameter>
+							<parameter name="pState">
+								<property name="name">
+									<value>P9</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">1200</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">7</value>
+								</property>						
+							</parameter>
+							<parameter name="pState">
+								<property name="name">
+									<value>P10</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">1100</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">6.5</value>
+								</property>						
+							</parameter>
+							<parameter name="pState">
+								<property name="name">
+									<value>P11</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">1000</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">6</value>
+								</property>						
+							</parameter>
+							<parameter name="pState">
+								<property name="name">
+									<value>P12</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">900</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">5.5</value>
+								</property>						
+							</parameter>
+							<parameter name="pState">
+								<property name="name">
+									<value>P13</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">800</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">5</value>
+								</property>						
+							</parameter>								
+						</powerProfile>
+					</profile>
+					<computingResource class="Core" count="8">
+
+					</computingResource>
+				</computingResource>
+			</computingResource>
+			
+			<computingResource class="ComputingNode" type="AMD_Fusion" count="6" name="AMDFusion">
+				<resourceUnit class="memory">
+					<amount>4096</amount>
+				</resourceUnit>
+				<parameter name="category">
+					<value>AMD_Fusion</value>
+				</parameter>
+				<profile>
+					<powerProfile>
+						<energyEstimationPlugin>
+							<name>test.article2.recs.plugins.energy.AmdNodeEEP</name>
+						</energyEstimationPlugin>	
+						<powerStates>
+							<powerState>
+								<name>ON</name>
+								<powerUsage>10</powerUsage>
+							</powerState>
+							<powerState>
+								<name>OFF</name>
+								<powerUsage>0</powerUsage>
+							</powerState>
+						</powerStates>				
+					</powerProfile>
+					<airThroughputProfile>
+						<airThroughputStates>
+							<airThroughputState>
+								<name>FAN_ON</name>
+								<value>1000</value>
+								<powerUsage>30</powerUsage>
+							</airThroughputState>
+							<airThroughputState>
+								<name>FAN_OFF</name>
+								<value>0</value>
+								<powerUsage>10</powerUsage>
+							</airThroughputState>
+						</airThroughputStates>
+					</airThroughputProfile>
+				</profile>
+				<computingResource class="Processor" count="1">
+					<profile>
+						<powerProfile>
+	
+							<parameter name="pState">
+									<property name="name">
+										<value>P0</value>
+									</property>	
+									<property name="frequency">
+										<value unit="Hz">1000</value>
+									</property>		
+									<property name="powerUsage">
+										<value unit="W">2</value>
+									</property>						
+								</parameter>
+								<parameter name="pState">
+									<property name="name">
+										<value>P1</value>
+									</property>	
+									<property name="frequency">
+										<value unit="Hz">800</value>
+									</property>		
+									<property name="powerUsage">
+										<value unit="W">1</value>
+									</property>						
+								</parameter>	
+							</powerProfile>
+						</profile>
+					<computingResource class="Core" count="2">
+
+					</computingResource>
+				</computingResource>
+			</computingResource>
+
+			<computingResource class="ComputingNode" type="Atom_D510" count="4" name="AtomD510">
+				<resourceUnit class="memory">
+					<amount>2048</amount>
+				</resourceUnit>
+				<parameter name="category">
+					<value>Atom_D510</value>
+				</parameter>
+				<profile>
+					<powerProfile>
+						<energyEstimationPlugin>
+							<name>test.article2.recs.plugins.energy.AtomD510NodeEEP</name>
+						</energyEstimationPlugin>	
+						<powerStates>
+							<powerState>
+								<name>ON</name>
+								<powerUsage>19</powerUsage>
+							</powerState>
+							<powerState>
+								<name>OFF</name>
+								<powerUsage>0</powerUsage>
+							</powerState>
+						</powerStates>				
+					</powerProfile>
+					<airThroughputProfile>
+						<airThroughputStates>
+							<airThroughputState>
+								<name>FAN_ON</name>
+								<value>1000</value>
+								<powerUsage>30</powerUsage>
+							</airThroughputState>
+							<airThroughputState>
+								<name>FAN_OFF</name>
+								<value>0</value>
+								<powerUsage>10</powerUsage>
+							</airThroughputState>
+						</airThroughputStates>
+					</airThroughputProfile>
+				</profile>
+				
+				<computingResource class="Processor" count="1">
+					<profile>
+						<powerProfile>
+							<parameter name="pState">
+								<property name="name">
+									<value>P0</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">1666</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">1.3</value>
+								</property>						
+							</parameter>
+							<parameter name="pState">
+								<property name="name">
+									<value>P1</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">1458</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">1</value>
+								</property>						
+							</parameter>	
+							<parameter name="pState">
+								<property name="name">
+									<value>P2</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">1250</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">0.8</value>
+								</property>						
+							</parameter>
+							<parameter name="pState">
+								<property name="name">
+									<value>P3</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">1041</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">0.7</value>
+								</property>						
+							</parameter>	
+							<parameter name="pState">
+								<property name="name">
+									<value>P4</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">833</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">0.5</value>
+								</property>						
+							</parameter>
+							<parameter name="pState">
+								<property name="name">
+									<value>P5</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">625</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">0.3</value>
+								</property>						
+							</parameter>	
+							<parameter name="pState">
+								<property name="name">
+									<value>P6</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">416</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">0.2</value>
+								</property>						
+							</parameter>
+							<parameter name="pState">
+								<property name="name">
+									<value>P7</value>
+								</property>	
+								<property name="frequency">
+									<value unit="Hz">208</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">0.1</value>
+								</property>						
+							</parameter>					
+						</powerProfile>
+					</profile>
+					<computingResource class="Core" count="4">
+
+					</computingResource>
+				</computingResource>
+			</computingResource>
+			
+		</computingResource>
+		<scheduler class="Cluster" name="cluster">
+			<!-- Definition of scheduling plugin at cluster level -->
+			<schedulingPlugin>
+				<name>test.article2.recs.plugins.scheduling.RecsExclusivenessRandomSP</name>
+			</schedulingPlugin>	
+			<!-- Reference to managed resources - cluster manages resources belonging to the defined data center -->
+			<managedComputingResources include="false">
+				<resourceName>COOLEMALL_TESTBED</resourceName>
+			</managedComputingResources>
+		</scheduler>	
+	</resources>
+
+</environment>
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/resources1.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/resources1.xml	(revision 826)
+++ 	(revision )
@@ -1,448 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../../../simulator/schemas/resources/DCWormsResSchema.xsd">
-	
-	<timeEstimationPlugin>
-		<name>test.article.recs.plugins.timeestimation.RecsTimeEstimationPlugin</name>
-	</timeEstimationPlugin>
-	
-	<resources>
-		<computingResource class="DataCenter" name="COOLEMALL_TESTBED">
-			<resourceUnit class="storage">
-				<amount>4800000</amount>
-			</resourceUnit>
-			<profile>
-				<powerProfile>
-					<energyEstimationPlugin>
-						<name>example.energy.DataCenterEnergyEstimationPlugin</name>
-					</energyEstimationPlugin>
-				</powerProfile>	
-			</profile>
-				
-			<computingResource class="ComputingNode" type="Intel_i7" count="8" name="IntelI7">
-				<resourceUnit class="memory">
-					<amount>16384</amount>
-				</resourceUnit>
-				<parameter name="category">
-					<value>Intel_i7</value>
-				</parameter>
-				<profile>
-					<powerProfile>
-						<energyEstimationPlugin>
-							<name>test.article2.recs.plugins.energy.IntelNodeEEP</name>
-						</energyEstimationPlugin>	
-						<powerStates>
-							<powerState>
-								<name>ON</name>
-								<powerUsage>11.5</powerUsage>
-							</powerState>
-							<powerState>
-								<name>OFF</name>
-								<powerUsage>0</powerUsage>
-							</powerState>
-						</powerStates>				
-					</powerProfile>
-					<airThroughputProfile>
-						<airThroughputStates>
-							<airThroughputState>
-								<name>FAN_ON</name>
-								<value>1000</value>
-								<powerUsage>30</powerUsage>
-							</airThroughputState>
-							<airThroughputState>
-								<name>FAN_OFF</name>
-								<value>0</value>
-								<powerUsage>10</powerUsage>
-							</airThroughputState>
-						</airThroughputStates>
-					</airThroughputProfile>
-				</profile>
-				<computingResource class="Processor" count="1">
-					<profile>
-						<powerProfile>
-							<parameter name="pState">
-								<property name="name">
-									<value>P0</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">2100</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">15</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P1</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">2000</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">14</value>
-								</property>						
-							</parameter>	
-							<parameter name="pState">
-								<property name="name">
-									<value>P2</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">1900</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">13</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P3</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">1800</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">11.5</value>
-								</property>						
-							</parameter>	
-							<parameter name="pState">
-								<property name="name">
-									<value>P4</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">1700</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">11</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P5</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">1600</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">10.5</value>
-								</property>						
-							</parameter>	
-							<parameter name="pState">
-								<property name="name">
-									<value>P6</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">1500</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">9.5</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P7</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">1400</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">8.5</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P8</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">1300</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">8</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P9</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">1200</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">7</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P10</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">1100</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">6.5</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P11</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">1000</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">6</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P12</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">900</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">5.5</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P13</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">800</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">5</value>
-								</property>						
-							</parameter>								
-						</powerProfile>
-					</profile>
-					<computingResource class="Core" count="8">
-
-					</computingResource>
-				</computingResource>
-			</computingResource>
-			
-			<computingResource class="ComputingNode" type="AMD_Fusion" count="6" name="AMDFusion">
-				<resourceUnit class="memory">
-					<amount>4096</amount>
-				</resourceUnit>
-				<parameter name="category">
-					<value>AMD_Fusion</value>
-				</parameter>
-				<profile>
-					<powerProfile>
-						<energyEstimationPlugin>
-							<name>test.article2.recs.plugins.energy.AmdNodeEEP</name>
-						</energyEstimationPlugin>	
-						<powerStates>
-							<powerState>
-								<name>ON</name>
-								<powerUsage>10</powerUsage>
-							</powerState>
-							<powerState>
-								<name>OFF</name>
-								<powerUsage>0</powerUsage>
-							</powerState>
-						</powerStates>				
-					</powerProfile>
-					<airThroughputProfile>
-						<airThroughputStates>
-							<airThroughputState>
-								<name>FAN_ON</name>
-								<value>1000</value>
-								<powerUsage>30</powerUsage>
-							</airThroughputState>
-							<airThroughputState>
-								<name>FAN_OFF</name>
-								<value>0</value>
-								<powerUsage>10</powerUsage>
-							</airThroughputState>
-						</airThroughputStates>
-					</airThroughputProfile>
-				</profile>
-				<computingResource class="Processor" count="1">
-					<profile>
-						<powerProfile>
-	
-							<parameter name="pState">
-									<property name="name">
-										<value>P0</value>
-									</property>	
-									<property name="frequency">
-										<value unit="Hz">1000</value>
-									</property>		
-									<property name="powerUsage">
-										<value unit="W">2</value>
-									</property>						
-								</parameter>
-								<parameter name="pState">
-									<property name="name">
-										<value>P1</value>
-									</property>	
-									<property name="frequency">
-										<value unit="Hz">800</value>
-									</property>		
-									<property name="powerUsage">
-										<value unit="W">1</value>
-									</property>						
-								</parameter>	
-							</powerProfile>
-						</profile>
-					<computingResource class="Core" count="2">
-
-					</computingResource>
-				</computingResource>
-			</computingResource>
-
-			<computingResource class="ComputingNode" type="Atom_D510" count="4" name="AtomD510">
-				<resourceUnit class="memory">
-					<amount>2048</amount>
-				</resourceUnit>
-				<parameter name="category">
-					<value>Atom_D510</value>
-				</parameter>
-				<profile>
-					<powerProfile>
-						<energyEstimationPlugin>
-							<name>test.article2.recs.plugins.energy.AtomD510NodeEEP</name>
-						</energyEstimationPlugin>	
-						<powerStates>
-							<powerState>
-								<name>ON</name>
-								<powerUsage>19</powerUsage>
-							</powerState>
-							<powerState>
-								<name>OFF</name>
-								<powerUsage>0</powerUsage>
-							</powerState>
-						</powerStates>				
-					</powerProfile>
-					<airThroughputProfile>
-						<airThroughputStates>
-							<airThroughputState>
-								<name>FAN_ON</name>
-								<value>1000</value>
-								<powerUsage>30</powerUsage>
-							</airThroughputState>
-							<airThroughputState>
-								<name>FAN_OFF</name>
-								<value>0</value>
-								<powerUsage>10</powerUsage>
-							</airThroughputState>
-						</airThroughputStates>
-					</airThroughputProfile>
-				</profile>
-				
-				<computingResource class="Processor" count="1">
-					<profile>
-						<powerProfile>
-							<parameter name="pState">
-								<property name="name">
-									<value>P0</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">1666</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">1.3</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P1</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">1458</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">1</value>
-								</property>						
-							</parameter>	
-							<parameter name="pState">
-								<property name="name">
-									<value>P2</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">1250</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0.8</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P3</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">1041</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0.7</value>
-								</property>						
-							</parameter>	
-							<parameter name="pState">
-								<property name="name">
-									<value>P4</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">833</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0.5</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P5</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">625</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0.3</value>
-								</property>						
-							</parameter>	
-							<parameter name="pState">
-								<property name="name">
-									<value>P6</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">416</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0.2</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P7</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">208</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0.1</value>
-								</property>						
-							</parameter>					
-						</powerProfile>
-					</profile>
-					<computingResource class="Core" count="4">
-
-					</computingResource>
-				</computingResource>
-			</computingResource>
-			
-		</computingResource>
-		<scheduler class="Cluster" name="cluster">
-			<!-- Definition of scheduling plugin at cluster level -->
-			<schedulingPlugin>
-				<name>test.article2.recs.plugins.scheduling.RecsExclusivenessRandomSP</name>
-			</schedulingPlugin>	
-			<!-- Reference to managed resources - cluster manages resources belonging to the defined data center -->
-			<managedComputingResources include="false">
-				<resourceName>COOLEMALL_TESTBED</resourceName>
-			</managedComputingResources>
-		</scheduler>	
-	</resources>
-
-</environment>