Index: DCWoRMS/branches/coolemall/example/experiment10/workload/wget_new.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment10/workload/wget_new.xml	(revision 1185)
+++ DCWoRMS/branches/coolemall/example/experiment10/workload/wget_new.xml	(revision 1185)
@@ -0,0 +1,766 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="wget"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+    xsi:noNamespaceSchemaLocation="../QCGJobDescriptionSchemaNew.xsd">
+    <task id="wget">
+        <execution>
+            <resourceConsumptionProfile>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT6S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.397611</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>3627008.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.007968</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>1415055.333333</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>2706.000000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT4S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.369294</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2070528.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.007014</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2052171.500000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>4026.000000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT5S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.417050</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2085683.200000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.008559</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2101955.200000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>3933.600000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT4S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.413944</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2062336.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.008369</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2073236.500000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>4306.500000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT7S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.474738</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2059702.857143</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.010288</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2044316.285714</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>4252.285714</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT4S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.391983</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>1979392.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.007704</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>1998235.500000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>4075.500000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT4S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.382501</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2043904.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.007541</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2013588.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>4092.000000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT4S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.545190</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2082816.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.012383</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2111840.500000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>4867.500000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT4S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.389538</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>1968128.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.007684</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>1876735.500000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>3943.500000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT10S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.415996</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2159820.800000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.008469</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2137807.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>4230.600000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT7S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.428544</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>1921024.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.008829</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>1927619.428571</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>3846.857143</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT12S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.418834</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2069504.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.008599</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2037019.333333</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>4125.000000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT4S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.441853</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>1968128.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.009213</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>1970361.500000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>3910.500000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT5S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.391831</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2079948.800000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.007700</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2054171.200000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>3933.600000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT4S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.433482</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2050048.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.009034</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2007088.500000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>4075.500000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT16S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.396668</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2065664.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.007895</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2083544.500000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>4050.750000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT4S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.412995</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>1837056.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.008270</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>1785970.500000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>3415.500000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT4S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.417209</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2045952.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.008473</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2049376.500000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>3811.500000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT5S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.376876</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>1993932.800000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.007311</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>1999858.400000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>4065.600000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT5S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.447681</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2109440.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.009373</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2068441.600000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>4224.000000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT12S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.394380</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2022741.333333</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.007804</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2020761.666667</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>3839.000000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT5S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.505534</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2112716.800000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.011221</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2123809.600000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>4910.400000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT15S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.461126</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2008405.333333</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.009817</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>1967432.266667</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>4092.000000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT4S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.386398</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2598912.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.007596</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2652686.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>5148.000000</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT7S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.482067</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>1803995.428571</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.010607</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>1801266.857143</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>3639.428571</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT7S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.398316</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>2043318.857143</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.007884</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>2013841.714286</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>3865.714286</value>
+                    </behaviour>
+                </resourceConsumption>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_02</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT7S</duration>
+                    <behaviour name="PM_Power">
+                        <value>0.194062</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>799305.142857</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>512.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001010</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.001826</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>770538.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>1461.428571</value>
+                    </behaviour>
+                </resourceConsumption>
+            </resourceConsumptionProfile>
+        </execution>
+    </task>
+</job>