Index: DCWoRMS/branches/coolemall/src/test/article/recs/utils/TaskToApp.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/utils/TaskToApp.java	(revision 1173)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/utils/TaskToApp.java	(revision 1197)
@@ -5,4 +5,6 @@
 import java.util.Random;
 import java.util.TreeMap;
+
+import dcworms.schedframe.scheduling.Executable;
 
 import schedframe.scheduling.tasks.TaskInterface;
@@ -24,11 +26,15 @@
 	
 	public AppType getAppType(TaskInterface<?> task){
+
 		AppType appType = null;
 		if(mapping.get(task.getJobId())!= null){
 			appType = mapping.get(task.getJobId());
+			Executable exec = (Executable) task;
+			exec.getDescription().getExecution().getExecutable().getApplication().setName(appType.toString());
 		}else{
 			appType = randomAppType();
 			mapping.put(task.getJobId(), appType);
-		}return appType;
+		}
+		return appType;
 	}
 	
@@ -36,5 +42,5 @@
 		AppType appType = null;
 		int n = rand.nextInt(100);
-		if(n < ABINIT) {
+		if(n < ABINIT){
 			appType = AppType.abinit;
 		}else if(n < C_RAY){
@@ -42,9 +48,9 @@
 		}else if(n < TAR){
 			appType = AppType.tar;
-		} else if (n < LIN_3GB){
+		}else if(n < LIN_3GB){
 			appType = AppType.lin_3gb;
-		} else if (n < LIN_TINY){
+		}else if(n < LIN_TINY){
 			appType = AppType.lin_tiny;
-		} else if (n < FFT){
+		}else if(n < FFT){
 			appType = AppType.fft;
 		} 
@@ -62,5 +68,4 @@
 	}
 	
-	
 	private double randomAppLoad(){
 		double appLoad = 0;
Index: DCWoRMS/branches/coolemall/src/test/article/recs/utils/DAO.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/utils/DAO.java	(revision 665)
+++ 	(revision )
@@ -1,77 +1,0 @@
-package test.article.recs.utils;
-
-import java.io.FileInputStream;
-import java.io.FileNotFoundException;
-import java.io.IOException;
-import java.util.PropertyResourceBundle;
-import java.util.ResourceBundle;
-
-import schedframe.resources.computing.ComputingNode;
-import schedframe.resources.computing.Processor;
-import schedframe.scheduling.tasks.TaskInterface;
-
-public class DAO {
-	private static String TIME_DATA_FILE_NAME = "src/test/article/recs/data/time_data.properties";
-	private static String POWER_DATA_FILE_NAME = "src/test/article/recs/data/power_data.properties";
-	
-	private static ResourceBundle powBundle;
-	private static ResourceBundle timeBundle;
-	
-	private TaskToApp taskToApp = new TaskToApp();
-
-	protected String createQuery(TaskInterface<?> task, ComputingNode node) {
-		String query;
-		query = getApplicationType(task) + "." + getNodeCategory(node) + "." + getFrequency(node) + "." + getCoreCnt(task);
-		return query;
-	}
-
-	private String getApplicationType(TaskInterface<?> task){	
-		AppType appType = taskToApp.getAppType(task);
-		return appType.toString();
-	}
-	
-	private String getNodeCategory(ComputingNode node){
-
-		return node.getCategory();
-	}
-	
-	private int getFrequency(ComputingNode node){
-		Processor proc = (Processor) node.getProcessors().get(0);
-		double freq = proc.getPowerInterface().getFrequency();
-		return Double.valueOf(freq).intValue();	
-	}
-	
-	private int getCoreCnt(TaskInterface<?> task){	
-		double cpuReq;
-		try {
-			cpuReq = task.getCpuCntRequest();
-		} catch (NoSuchFieldException e) {
-				cpuReq = 1;
-		}
-		return Double.valueOf(cpuReq).intValue();
-	}
-	
-	public double getMeasuredPower(String query) throws FileNotFoundException, IOException{
-		ResourceBundle powBundle = getPowBundle();
-		return Double.valueOf(powBundle.getString(query)).doubleValue();
-	}
-	
-	private ResourceBundle getPowBundle() throws FileNotFoundException, IOException{
-		if(powBundle == null){
-			 powBundle = new PropertyResourceBundle(new FileInputStream(POWER_DATA_FILE_NAME));
-		}
-		return powBundle;
-	}
-	
-	public double getMeasuredTime(String query) throws FileNotFoundException, IOException{
-		ResourceBundle timeBundle = getTimeBundle();
-		return Double.valueOf(timeBundle.getString(query)).doubleValue();
-	}
-
-	private ResourceBundle getTimeBundle() throws FileNotFoundException, IOException{
-		if(timeBundle == null){
-			timeBundle = new PropertyResourceBundle(new FileInputStream(TIME_DATA_FILE_NAME));
-		}
-		return timeBundle;
-	}
-}
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/scheduling/RecsExclusivenessEnOptSP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/scheduling/RecsExclusivenessEnOptSP.java	(revision 734)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/scheduling/RecsExclusivenessEnOptSP.java	(revision 1197)
@@ -21,5 +21,4 @@
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
-import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
 import schedframe.resources.units.ProcessingElements;
@@ -36,5 +35,4 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import test.article.recs.utils.AppType;
 
 public class RecsExclusivenessEnOptSP extends RecsSP {
@@ -157,30 +155,4 @@
 	}
 
-	private String getApplicationType(TaskInterface<?> task){	
-		AppType appType = taskToApp.getAppType(task);
-		return appType.toString();
-	}
-	
-	private String getNodeCategory(ComputingNode node){
-
-		return node.getCategory();
-	}
-	
-	private int getFrequency(ComputingNode node){
-		Processor proc = (Processor) node.getProcessors().get(0);
-		double freq = proc.getPowerInterface().getFrequency();
-		return Double.valueOf(freq).intValue();	
-	}
-	
-	private int getCoreCnt(TaskInterface<?> task){	
-		double cpuReq;
-		try {
-			cpuReq = task.getCpuCntRequest();
-		} catch (NoSuchFieldException e) {
-				cpuReq = 1;
-		}
-		return Double.valueOf(cpuReq).intValue();
-	}
-	
 	protected double getMeasuredPower(String query) throws FileNotFoundException, IOException{
 		ResourceBundle powBundle = getPowBundle();
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/scheduling/RecsExclusivenessEnOptNodePowManSP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/scheduling/RecsExclusivenessEnOptNodePowManSP.java	(revision 734)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/scheduling/RecsExclusivenessEnOptNodePowManSP.java	(revision 1197)
@@ -36,5 +36,4 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import test.article.recs.utils.AppType;
 
 public class RecsExclusivenessEnOptNodePowManSP  extends RecsSP {
@@ -162,30 +161,4 @@
 	}
 
-	private String getApplicationType(TaskInterface<?> task){	
-		AppType appType = taskToApp.getAppType(task);
-		return appType.toString();
-	}
-	
-	private String getNodeCategory(ComputingNode node){
-
-		return node.getCategory();
-	}
-	
-	private int getFrequency(ComputingNode node){
-		Processor proc = (Processor) node.getProcessors().get(0);
-		double freq = proc.getPowerInterface().getFrequency();
-		return Double.valueOf(freq).intValue();	
-	}
-	
-	private int getCoreCnt(TaskInterface<?> task){	
-		double cpuReq;
-		try {
-			cpuReq = task.getCpuCntRequest();
-		} catch (NoSuchFieldException e) {
-				cpuReq = 1;
-		}
-		return Double.valueOf(cpuReq).intValue();
-	}
-	
 	protected double getMeasuredPower(String query) throws FileNotFoundException, IOException{
 		ResourceBundle powBundle = getPowBundle();
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/scheduling/RecsSP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/scheduling/RecsSP.java	(revision 708)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/scheduling/RecsSP.java	(revision 1197)
@@ -8,8 +8,8 @@
 
 import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Processor;
 import schedframe.scheduling.tasks.TaskInterface;
 import test.article.recs.utils.AppType;
 import test.article.recs.utils.TaskToApp;
-import dcworms.schedframe.scheduling.ExecTask;
 import dcworms.schedframe.scheduling.Executable;
 import example.localplugin.BaseLocalSchedulingPlugin;
@@ -33,13 +33,29 @@
 	}
 
-	private String getApplicationType(ExecTask task){	
+	protected String getApplicationType(TaskInterface<?> task){	
 		AppType appType = taskToApp.getAppType(task);
 		return appType.toString();
 	}
 	
-	private String getNodeCategory(ComputingNode node){
+	protected String getNodeCategory(ComputingNode node){
 		return node.getCategory();
 	}
 
+	protected int getCoreCnt(TaskInterface<?> task){	
+		double cpuReq;
+		try {
+			cpuReq = task.getCpuCntRequest();
+		} catch (NoSuchFieldException e) {
+				cpuReq = 1;
+		}
+		return Double.valueOf(cpuReq).intValue();
+	}
+	
+	protected int getFrequency(ComputingNode node){
+		Processor proc = (Processor) node.getProcessors().get(0);
+		double freq = proc.getPowerInterface().getFrequency();
+		return Double.valueOf(freq).intValue();	
+	}
+	
 	protected boolean getExecutiveness(String query) throws FileNotFoundException, IOException{
 		ResourceBundle execBundle = getExecBundle();
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/scheduling/RecsExclusivenessEnOptDFSSP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/scheduling/RecsExclusivenessEnOptDFSSP.java	(revision 734)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/scheduling/RecsExclusivenessEnOptDFSSP.java	(revision 1197)
@@ -22,5 +22,4 @@
 import schedframe.resources.computing.Core;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
 import schedframe.resources.units.ProcessingElements;
 import schedframe.resources.units.ResourceUnit;
@@ -36,5 +35,4 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import test.article.recs.utils.AppType;
 import test.article.recs.utils.RecsProcessorPowerInterface;
 
@@ -160,30 +158,4 @@
 	}
 
-	private String getApplicationType(TaskInterface<?> task){	
-		AppType appType = taskToApp.getAppType(task);
-		return appType.toString();
-	}
-	
-	private String getNodeCategory(ComputingNode node){
-
-		return node.getCategory();
-	}
-	
-	private int getFrequency(ComputingNode node){
-		Processor proc = (Processor) node.getProcessors().get(0);
-		double freq = proc.getPowerInterface().getFrequency();
-		return Double.valueOf(freq).intValue();	
-	}
-	
-	private int getCoreCnt(TaskInterface<?> task){	
-		double cpuReq;
-		try {
-			cpuReq = task.getCpuCntRequest();
-		} catch (NoSuchFieldException e) {
-				cpuReq = 1;
-		}
-		return Double.valueOf(cpuReq).intValue();
-	}
-	
 	protected double getMeasuredPower(String query) throws FileNotFoundException, IOException{
 		ResourceBundle powBundle = getPowBundle();