Index: DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_00.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_00.xml	(revision 1198)
+++ DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_00.xml	(revision 1198)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="0"><task id="0"><requirements><resourceRequirements><computingResource><hostParameter name="cpucount"><value>1.0</value></hostParameter></computingResource></resourceRequirements></requirements></task></job>
Index: DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_10.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_10.xml	(revision 1198)
+++ DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_10.xml	(revision 1198)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="10"><task id="0"><requirements><resourceRequirements><computingResource><hostParameter name="cpucount"><value>4.0</value></hostParameter></computingResource></resourceRequirements></requirements></task></job>
Index: DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_01.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_01.xml	(revision 1198)
+++ DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_01.xml	(revision 1198)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="1"><task id="0"><requirements><resourceRequirements><computingResource><hostParameter name="cpucount"><value>7.0</value></hostParameter></computingResource></resourceRequirements></requirements></task></job>
Index: DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_02.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_02.xml	(revision 1198)
+++ DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_02.xml	(revision 1198)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="2"><task id="0"><requirements><resourceRequirements><computingResource><hostParameter name="cpucount"><value>1.0</value></hostParameter></computingResource></resourceRequirements></requirements></task></job>
Index: DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_11.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_11.xml	(revision 1198)
+++ DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_11.xml	(revision 1198)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="11"><task id="0"><requirements><resourceRequirements><computingResource><hostParameter name="cpucount"><value>8.0</value></hostParameter></computingResource></resourceRequirements></requirements></task></job>
Index: DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_03.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_03.xml	(revision 1198)
+++ DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_03.xml	(revision 1198)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="3"><task id="0"><requirements><resourceRequirements><computingResource><hostParameter name="cpucount"><value>1.0</value></hostParameter></computingResource></resourceRequirements></requirements></task></job>
Index: DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_12.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_12.xml	(revision 1198)
+++ DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_12.xml	(revision 1198)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="12"><task id="0"><requirements><resourceRequirements><computingResource><hostParameter name="cpucount"><value>2.0</value></hostParameter></computingResource></resourceRequirements></requirements></task></job>
Index: DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_04.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_04.xml	(revision 1198)
+++ DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_04.xml	(revision 1198)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="4"><task id="0"><requirements><resourceRequirements><computingResource><hostParameter name="cpucount"><value>2.0</value></hostParameter></computingResource></resourceRequirements></requirements></task></job>
Index: DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_13.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_13.xml	(revision 1198)
+++ DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_13.xml	(revision 1198)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="13"><task id="0"><requirements><resourceRequirements><computingResource><hostParameter name="cpucount"><value>7.0</value></hostParameter></computingResource></resourceRequirements></requirements></task></job>
Index: DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_05.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_05.xml	(revision 1198)
+++ DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_05.xml	(revision 1198)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="5"><task id="0"><requirements><resourceRequirements><computingResource><hostParameter name="cpucount"><value>4.0</value></hostParameter></computingResource></resourceRequirements></requirements></task></job>
Index: DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_14.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_14.xml	(revision 1198)
+++ DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_14.xml	(revision 1198)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="14"><task id="0"><requirements><resourceRequirements><computingResource><hostParameter name="cpucount"><value>2.0</value></hostParameter></computingResource></resourceRequirements></requirements></task></job>
Index: DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_06.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_06.xml	(revision 1198)
+++ DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_06.xml	(revision 1198)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="6"><task id="0"><requirements><resourceRequirements><computingResource><hostParameter name="cpucount"><value>4.0</value></hostParameter></computingResource></resourceRequirements></requirements></task></job>
Index: DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_07.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_07.xml	(revision 1198)
+++ DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_07.xml	(revision 1198)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="7"><task id="0"><requirements><resourceRequirements><computingResource><hostParameter name="cpucount"><value>1.0</value></hostParameter></computingResource></resourceRequirements></requirements></task></job>
Index: DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_08.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_08.xml	(revision 1198)
+++ DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_08.xml	(revision 1198)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="8"><task id="0"><requirements><resourceRequirements><computingResource><hostParameter name="cpucount"><value>2.0</value></hostParameter></computingResource></resourceRequirements></requirements></task></job>
Index: DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_09.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_09.xml	(revision 1198)
+++ DCWoRMS/branches/coolemall/src/test/article/workloadgen/workload/QcgJob_09.xml	(revision 1198)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="9"><task id="0"><requirements><resourceRequirements><computingResource><hostParameter name="cpucount"><value>8.0</value></hostParameter></computingResource></resourceRequirements></requirements></task></job>